function render(restaurantId, branchId, clear, interact) {
	if ($("#show_interact").val() != "true") {
		interact = 0.0;
	}
	$(function() {
        $("#searching_fancy_cart").show();
		$.ajax({
			type: 'GET',
			url: "menu/request.php",
			data: {
				'restaurantId': restaurantId,
				'branchId': branchId,
				'clear': clear,
				'i': interact
			},
			async:true,
			success: function (data) {
				jQuery('#cart_menu').html(data);
				$("#modal-menu").fadeOut("200");
				$("#mask,#mask2").fadeOut("200");
				$("#searching_fancy_cart").hide()
				$("#cart_top,#cart_body,#cart_footer,#payment_methods,#cart_coupon").show()
				$("#menu_product_prom_header_content_pr_link a,#menu_product_prom_header_content_pr_link_basic a,#menu_product_prom_header_content_link a").css({display: 'block'});
			}
		});
	});
}